`libnetdude` Manual
Prev |  | Next

# libnd_null_protocol

## Name

libnd_null_protocol --

## Synopsis

    void        libnd_null_proto_hook_up        (LND_Protocol *proto);

## Description

## Details

### libnd_null_proto_hook_up ()

    void        libnd_null_proto_hook_up        (LND_Protocol *proto);

The function hooks null operations into all of `proto`'s function pointers. It is called from nd_protocol_new() to properly initialize new protocols.

`proto` :

  protocol to initialize.

Prev | Home | Next
libnd_misc | Up | libnd_packet